public class Kviz1 {


    public static void main(String[] args) {
        veckratnikDelitelj(12, -24);
    }

    static void java() {
        System.out.print("   J    a   v     v  a                                                 \n" +
                "   J   a a   v   v  a a                                                \n" +
                "J  J  aaaaa   V V  aaaaa                                                \n" +
                " JJ  a     a   V  a     a");
    }

    static void kalkulator(int a, int b) {
        if (b == 0) {
            System.out.println("Napaka: deljenje z 0");
            return;
        }
        System.out.printf("%d + %d = %d\n", a, b, a + b);
        System.out.printf("%d - %d = %d\n", a, b, a - b);
        System.out.printf("%d x %d = %d\n", a, b, a * b);
        System.out.printf("%d / %d = %d\n", a, b, a / b);
        System.out.printf("%d %% %d = %d\n", a, b, a % b);
    }

    static void nicli(int a, int b, int c) {
        double d = b * b - 4 * a * c;
        if (d < 0) {
            System.out.println("Napaka: nicli enacbe ne obstajata");
            return;
        }

        double x1 = (-b + Math.sqrt(d)) / (2 * a);
        double x2 = (-b - Math.sqrt(d)) / (2 * a);

        System.out.printf(java.util.Locale.US, "x1=%.2f, x2=%.2f\n", x1, x2);
    }

    static void krog(double r, int d) {
        if (r < 0) {
            System.out.println("Napaka: negativen polmer");
            ;
            return;
        }
        if (d < 0) {
            System.out.println("Napaka: negativen d");
            ;
            return;
        }

        double obseg = 2 * Math.PI * r;
        double ploscina = Math.PI * r * r;

        System.out.printf(java.util.Locale.US, "Obseg kroga s polmerom r=%.2f je " + String.format("%%.%df", d) + "\n", r, obseg);
        System.out.printf(java.util.Locale.US, "Ploscina kroga s polmerom r=%.2f je " + String.format("%%.%df", d) + "\n", r, ploscina);
    }

    static String pretvoriSekunde(int sekunde) {
        if (sekunde < 0) {
            return "Število sekund ne more biti negativno";
        }

        int ure = sekunde / 3600;
        sekunde -= ure * 3600;

        int minute = sekunde / 60;
        sekunde -= minute * 60;

        return String.format("%02d:%02d:%02d", ure, minute, sekunde);
    }

    static void javaJavaJava(int n) {
        if (n < 0) {
            System.out.println("Napaka: negativen n");
        }
        for (int i = 0; i < n; i++) {
            System.out.print("     J    a   v     v  a   ");
        }
        System.out.println();
        for (int i = 0; i < n; i++) {
            System.out.print("     J   a a   v   v  a a  ");
        }
        System.out.println();
        for (int i = 0; i < n; i++) {
            System.out.print("  J  J  aaaaa   V V  aaaaa ");
        }
        System.out.println();
        for (int i = 0; i < n; i++) {
            System.out.print("   JJ  a     a   V  a     a");
        }
        System.out.println();
    }

    static boolean popolnKvadrat(long n) {
        long s = (int) Math.sqrt(n);
        return s * s == n;
    }

    static boolean jeFibonaccijevo(long n) {
        return popolnKvadrat(5 * n * n + 4) || popolnKvadrat(5 * n * n - 4);
    }

    static int i = 2;

    static boolean prast(int n) {
        if (n == 0 || n == 1) {
            return false;
        }

        if (n == i) {
            return true;
        }

        if (n % i == 0) {
            return false;
        }

        i++;
        return prast(n);
    }

    static boolean jePrastevilo(int n) {
        i = 2;
        return prast(n);
    }

    static void izrisiZastavo(int n) {
        for (int i = 0; i < 5 * n; i++) {
            for (int j = 0; j < 15 * n + 1; j++) {
                if (i < 3 * n && j < 4 * n) {
                    if (i % 2 == 0 && j % 2 == 0 || i % 2 == 1 && j % 2 == 1 && j < 4 * n - 1)
                        System.out.print("*");
                    else
                        System.out.print(" ");
                    continue;
                }
                System.out.print("=");
            }
            System.out.println();
        }
    }

    static void vDesetisko(int n) {
        int osmisko = n;
        int desetisko = 0;
        int potenca = 0;
        while (osmisko != 0) {
            int zadnjaStevka = osmisko % 10;
            if (zadnjaStevka > 7) {
                System.out.printf("Število %d ni število v osmiškem sistemu (števka %d)", n, zadnjaStevka);
                return;
            }
            desetisko += (int) (zadnjaStevka * Math.pow(8, potenca));
            osmisko /= 10;
            potenca++;
        }
        System.out.printf("%d(8) = %d(10)", n, desetisko);
    }

    static String pretvoriVDesetisko(String n, int b) {
        int desetisko = 0;
        int potenca = 0;
        for (int i = n.length() - 1; i >= 0; i--) {
            int stevka = Character.getNumericValue(n.charAt(i));
            if (stevka >= b) {
                return String.format("Napaka pri pretvorbi sistema - števka %s", n.charAt(i));
            }
            desetisko += (int) (stevka * Math.pow(b, potenca));
            potenca++;
        }
        return String.format("%s(%d)=%d(10)", n, b, desetisko);
    }

    static int vsotaPrvih(int n) {
        int x = 0;
        int c = 0;
        int vsota = 0;
        while (x < n) {
            c++;
            i = 2;
            if (jePrastevilo(c)) {
                vsota += c;
                x++;
            }
        }
        return vsota;
    }

    static void pitagoroviTrojcki(int x) {
        for (int a = 1; a <= x; a++) {
            for (int b = a; b <= x; b++) {
                for (int c = b; c <= x; c++) {
                    if (a * a + b * b == c * c) {
                        System.out.printf("%d %d %d\n", a, b, c);
                    }
                }
            }
        }
    }

    static int[] stik(int[] tabela1, int[] tabela2) {
        int[] tabela = new int[tabela1.length + tabela2.length];
        System.arraycopy(tabela1, 0, tabela, 0, tabela1.length);
        System.arraycopy(tabela2, 0, tabela, tabela1.length, tabela2.length);
        return tabela;
    }

    // cross section
    static int[] presek(int[] tabela1, int[] tabela2) {
        return java.util.Arrays.stream(tabela1).distinct().filter(x -> java.util.Arrays.stream(tabela2).anyMatch(y -> y == x)).toArray();
    }

    static String izracunajRazliko(String prviCas, String drugiCas) {
        String[] deli = prviCas.split(":");
        int prviSekunde = Integer.parseInt(deli[0]) * 3600 + Integer.parseInt(deli[1]) * 60 + Integer.parseInt(deli[2]);

        deli = drugiCas.split(":");
        int drugiSekunde = Integer.parseInt(deli[0]) * 3600 + Integer.parseInt(deli[1]) * 60 + Integer.parseInt(deli[2]);

        int razlika = drugiSekunde - prviSekunde;
        if (razlika < 0) {
            razlika *= -1;
        }

        return pretvoriSekunde(razlika);
    }

    static void praDvojcek(int n) {
        for (int i = 2; i <= n; i++) {
            if (jePrastevilo(i) && jePrastevilo(i + 2)) {
                System.out.printf("(%d, %d)\n", i, i + 2);
            }
        }
    }

    static void printLastDigit(int n) {
        String str = String.valueOf(n);
        System.out.printf("%s ", str.charAt(str.length() - 1));
    }

    static void trikotnik(int n, int tip) {
        switch (tip) {
            case 1:
                for (int i = 0; i < n; i++) {
                    for (int j = 0; j <= i; j++) {
                        printLastDigit(j + 1);
                    }
                    System.out.println();
                }
                break;

            case 2:
                for (int i = n; i > 0; i--) {
                    for (int j = n - i; j > 0; j--) {
                        System.out.print("  ");
                    }
                    for (int j = 0; j < i; j++) {
                        printLastDigit(j + 1);
                    }
                    System.out.println();
                }
                break;

            case 3:
                for (int i = 0; i < n; i++) {
                    for (int j = n - i - 1; j > 0; j--) {
                        System.out.print("  ");
                    }
                    for (int j = i; j >= 0; j--) {
                        printLastDigit(j + 1);
                    }
                    System.out.println();
                }
                break;

            case 4:
                for (int i = 0; i < n; i++) {
                    for (int j = n - i - 1; j >= 0; j--) {
                        printLastDigit(j + 1);
                    }
                    System.out.println();
                }
                break;

            case 5:
                for (int i = 0; i < n; i++) {
                    for (int j = n - i - 1; j > 0; j--) {
                        System.out.print("  ");
                    }
                    for (int j = 0; j <= i; j++) {
                        printLastDigit(j + 1);
                    }
                    for (int j = i - 1; j >= 0; j--) {
                        printLastDigit(j + 1);
                    }
                    System.out.println();
                }
                break;

            case 6:
                for (int i = n; i > 0; i--) {
                    for (int j = n - i; j > 0; j--) {
                        System.out.print("  ");
                    }
                    for (int j = 0; j < i; j++) {
                        printLastDigit(j + 1);
                    }
                    for (int j = i - 2; j >= 0; j--) {
                        printLastDigit(j + 1);
                    }
                    System.out.println();
                }
                break;

            case 7:
                for (int i = 0; i < n; i++) {
                    for (int j = n - i - 1; j > 0; j--) {
                        System.out.print("  ");
                    }
                    for (int j = 0; j <= i; j++) {
                        printLastDigit(j + i + 1);
                    }
                    for (int j = i - 1; j >= 0; j--) {
                        printLastDigit(j + i + 1);
                    }
                    System.out.println();
                }
                break;
        }
    }

    static void metulj(int n, int tip) {
        switch (tip) {
            case 1:
                for (int i = 0; i < n; i++) {
                    for (int j = 0; j <= i; j++) {
                        printLastDigit(j + 1);
                    }
                    for (int j = 2 * (n - i) - 3; j > 0; j--) {
                        System.out.print("  ");
                    }
                    for (int j = i; j >= 0; j--) {
                        if (j == n - 1) continue;
                        printLastDigit(j + 1);
                    }
                    System.out.println();
                }
                break;

            case 2:
                for (int i = n; i > 0; i--) {
                    for (int j = 0; j < i; j++) {
                        printLastDigit(j + 1);
                    }
                    for (int j = 2 * (n - i) - 1; j > 0; j--) {
                        System.out.print("  ");
                    }
                    for (int j = i - 1; j >= 0; j--) {
                        if (j == n - 1) continue;
                        printLastDigit(j + 1);
                    }
                    System.out.println();
                }
                break;

            case 3:
                for (int i = 0; i < n; i++) {
                    for (int j = 0; j <= i; j++) {
                        printLastDigit(j + 1);
                    }
                    for (int j = 2 * (n - i) - 3; j > 0; j--) {
                        System.out.print("  ");
                    }
                    for (int j = i; j >= 0; j--) {
                        if (j == n - 1) continue;
                        printLastDigit(j + 1);
                    }
                    System.out.println();
                }
                for (int i = n - 1; i > 0; i--) {
                    for (int j = 0; j < i; j++) {
                        printLastDigit(j + 1);
                    }
                    for (int j = 2 * (n - i) - 1; j > 0; j--) {
                        System.out.print("  ");
                    }
                    for (int j = i - 1; j >= 0; j--) {
                        if (j == n - 1) continue;
                        printLastDigit(j + 1);
                    }
                    System.out.println();
                }
                break;
        }
    }

    static void veckratnikDelitelj(int a, int b) {
        if (a == 0 || b == 0) {
            System.out.println("Napaka: obe števili morata biti različni od nič.");
            return;
        }

        if (a < 0) {
            a = -a;
        }
        if (b < 0) {
            b = -b;
        }

        int ab = a * b;

        while (a != b) {
            if (a > b) {
                a = a - b;
            } else {
                b = b - a;
            }
        }

        System.out.printf("Največji skupni delitelj je %d.\n", a);
        System.out.printf("Najmanjši skupni večkratnik je %d.\n", ab / a);
    }
}
